Bug 140025 - [patch] New port: devel/dulwich. Pure-Python implementation of the Git file formats and protocols
Summary: [patch] New port: devel/dulwich. Pure-Python implementation of the Git file f...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-27 19:50 UTC by Marco Bröder
Modified: 2009-11-02 11:00 UTC (History)
0 users

See Also:


Attachments
file.shar (5.39 KB, text/plain)
2009-10-27 19:50 UTC, Marco Bröder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2009-10-27 19:50:00 UTC
Dulwich is a pure-Python implementation of the Git file formats and protocols.

It aims to give an interface to git repos that doesn't call out to git directly
but instead uses pure Python. It is based on the Python-Git module released by
James Westby.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-10-29 09:20:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-11-02 10:59:10 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2009-11-02 10:59:35 UTC
miwi        2009-11-02 10:59:22 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/hg-git         Makefile distinfo pkg-descr pkg-message 
  Log:
  The Hg-Git plugin is an extension for Mercurial, adding the ability to push to
  and pull from a Git server repository from Mercurial. This means you can
  collaborate on Git based projects from Mercurial, or use a Git server as a
  collaboration point for a team with developers using both Git and Mercurial.
  
  The Hg-Git plugin can convert commits / changesets losslessly from one system
  to another, so you can push via a Mercurial repository and another Mercurial
  client can pull it and their changeset node ids will be identical - Mercurial
  data does not get lost in translation.
  
  This plugin is implemented entirely in Python - there are no Git binary
  dependencies, you do not need to have Git installed on your system.
  
  WWW:    http://hg-git.github.com/
  
  PR:             ports/140025
  Submitted by:   Marco Broeder <marco.broeder at gmx.eu>
  
  Revision  Changes    Path
  1.3678    +1 -0      ports/devel/Makefile
  1.1       +29 -0     ports/devel/hg-git/Makefile (new)
  1.1       +3 -0      ports/devel/hg-git/distinfo (new)
  1.1       +14 -0     ports/devel/hg-git/pkg-descr (new)
  1.1       +15 -0     ports/devel/hg-git/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"